Bug 182563 - Conflicting of %config files doesn't work
Summary: Conflicting of %config files doesn't work
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-23 11:56 UTC by Robert Scheck
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-18 04:31:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2006-02-23 11:56:27 UTC
Description of problem:
Conflicting of %config files doesn't work:
1. rpm package a has "%config /foo/bar"
2. rpm package b has "Conflict: /foo/bar"
3. install rpm package a
4. install rpm package b
5. just works here...but shouldn't, shouldn't it?

Version-Release number of selected component (if applicable):
rpm-4.4.2-15.2

How reproducible:
Everytime, see above.

Additional info:
Adding jbj, that it really reaches a rpm upstream guy ;-)

Comment 1 Jeff Johnson 2006-03-18 04:31:14 UTC
Hmmm, WORKSFORME with rpm-4.4.6-0.5:

$ rpm -Vv a
........  c /foo/bar
$ rpm -qp --conflicts b-1.2-3.i386.rpm 
/foo/bar  
$ rpm -ivh b-1.2-3.i386.rpm 
error: Failed dependencies:
        /foo/bar conflicts with b-1.2-3.i386



Note You need to log in before you can comment on or make changes to this bug.